#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9A,0x14,0x07,0x2E,0x1F,0x41,0xEB,0x60,0x4B,0x4F,0xBB,0x19,
		0xB4,0x3D,0x9A,0xCE,0x08,0xEC,0xC3,0x30,0xE8,0xC9,0x03,0x6C,
		0x33,0x01,0xF8,0x2D,0x8F,0xA7,0x20,0x2A,0x21,0x48,0xCF,0x58,
		0x37,0xDC,0x83,0x0C,0x4B,0x0D,0xAA,0x39,0x45,0xA3,0xB6,0x3B,
		0x31,0x3F,0xCD,0x75,0x17,0x63,0x85,0x2F,0xAA,0xE4,0x0D,0xEE,
		0xCE,0xB2,0xFC,0x5F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
